/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "Spotřebitelé OAuth",
	'pageDescription' : "Na této stránce můžete spravovat své spotřebitele OAuth nebo generovat klíče pro nové spotřebitele. Spotřebitelem OAuth může být jiná aplikace, Jazz Team Server nebo webový server, který smí odesílat požadavky tomuto ${0} jménem autorizovaného uživatele. Spotřebitelé podepisují své žádosti pomocí klíče a tajného údaje autorizovaného spotřebitele. Pro aplikace registrované pomocí průvodce nastavením serveru Jazz Team Server, byly klíče spotřebitele generovány automaticky. Požadavky přátel z jiných serverů Jazz Team Server nebo aplikací vygenerují klíč a utajený údaj, který je poté třeba autorizovat. Tyto požadavky, které vyžadují autorizaci, se nacházejí v oddíle Provizorní klíče níže. V oddíle Autorizované klíče jsou uvedeny všechny autorizované klíče spotřebitelů. Klíče spotřebitelů můžete prohlížet, upravovat a odebírat. Důvěryhodní spotřebitelé budou moci sdílet autorizaci s jinými důvěryhodnými spotřebiteli. Uživatelé nebudou vyzýváni ke schválení přístupových údajů. Externí webové servery a aplikace mimo vaši organizaci by měly být považovány za nedůvěryhodné.",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "aplikace",
	
	'displayConsumerTableHeading': "Autorizované klíče",
	'authorizedKeysDescription': "Následující klíče jsou autorizovány k podepisování požadavků pro tento ${0}. Chcete-li upravovat vlastnosti klíče spotřebitele včetně názvu, tajného údaje, ID funkčního uživatele a důvěryhodného nastavení, vyberte řádek, který chcete upravit, a klepněte na akci \"Upravit spotřebitele\" ve sloupci \"Akce\". Přidružení předem autorizovaného funkčního uživatele ke klíči spotřebitele umožňuje aplikacím vznášet požadavky v rámci aktivit na pozadí, jako je odesílání e-mailových oznámení, bez zásahu uživatele.",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "aplikace",
	
	'registerConsumerHeading': "Registrovat spotřebitele",
	'registerConsumerDescription': "Pomocí níže uvedeného formuláře vygenerujte klíč autorizovaného spotřebitele OAuth.",
	'registerButtonText': "Registr",
	'consumerKeyLabel': "Klíč spotřebitele", 
	'consumerSecretLabel': "Utajený údaj spotřebitele",
	'retypeConsumerSecretLabel': "Opětovné zadání utajeného údaje spotřebitele",
	'consumerPublicKeyLabel': "Veřejný klíč spotřebitele",	
	'preAuthorizedUser': "ID funkčního uživatele", 
	'selectUserLinkLabel': "Zvolte uživatele...",
	'clearUserLinkLabel': "Vymažte uživatele...",
	'consumerTrustedLabel': "Důvěryhodný", 
	'consumerAuthorized': "Autorizovaný", 
	'untrustedValue': "Nedůvěryhodný", 
	'trustedValue': "Důvěryhodný",
	'authorizedValue': "Autorizovaný",
	
	'consumerKeyGeneratedValue': "Klíč bude vygenerován serverem",
	'pickConsumerKeyInstead': "Klepnutím sem místo toho vyberete klíč spotřebitele.",
	'generateConsumerKeyInstead': "Klepnutím sem necháte server vygenerovat klíč spotřebitele.",
	
	'usePublicKeyInstead': "Klepnutím sem místo toho použijete veřejný klíč.",
	'useSecretInstead': "Klepnutím sem místo toho použijete sdílený tajný klíč.",
	
	'editConsumerHeading': "Klíč spotřebitele ${0}",
	'editConsumerDialogTitle': "Vlastnosti klíče spotřebitele",
	'confirmEditCancel': "Opravdu chcete opustit tento editor? Všechny změny budou ztraceny. Klepnutím na tlačítko Storno můžete pokračovat nebo klepnutím na tlačítko OK editor opusťte.",
	
	'fieldNotBlank': "Název nesmí být prázdný",
	'successMessage': "Spotřebitel byl úspěšně registrován s klíčem spotřebitele: ${0}", 
	'confirmDelete': "Opravdu chcete odstranit tento klíč spotřebitele?",
	'removeConsumerButton': "Odstranit klíč spotřebitele",
	
	'authorizeProvisionalHeading': "Přechodné klíče",
	'authorizeProvisionalDescription': "Spřátelené položky tohoto ${0} mohou požádat o provizorní klíče spotřebitele OAuth. Požadavky podepsané pomocí provizorních klíčů jsou odmítnuty. Pomocí níže uvedeného formuláře můžete autorizovat veškeré provizorní klíče, takže budou požadavky od těchto klíčů akceptovány.",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "aplikace",
	
	'noProvisional': "Neexistují žádné přechodné klíče.",
	'noConsumer': "Neexistují žádné klíče spotřebitele.",
	'nameLabel': "Jméno spotřebitele",
	'provisionalKeyLabel': "Přechodný klíč",
	'requestedAsLabel': "Požadovaný jako",
	'grantAsLabel': "Důvěryhodný", 
	'refresh': "Aktualizovat", 
	'save': "Uložit",
	'pendingLabel': "Nevyřízeno", 
	'approveLabel': "Schválit", 
	'rejectLabel': "Odmítnout",
	'approved': "Schváleno.",
	'rejected': "Odmítnuto",
	'approvedLabel': "Dočasný klíč byl označen jako Schválený.", 
	'rejectedLabel': "Dočasný klíč byl označen jako Odmítnutý.",
	
	'actions': "Akce",
	'editConsumer': "Upravit odběratel",
	'removeConsumer': "Odebrat odběratele",
	
	// Help hover text
	'help_consumerSecret': "\"Utajený údaj\" nebo heslo používané spotřebitelem ke zřízení vlastnictví klíče spotřebitele.",
	'help_trusted': " Důvěryhodní spotřebitelé budou moci sdílet autorizaci s jinými důvěryhodnými spotřebiteli.",
	'help_functionalId': "Přidružení ID funkčního uživatele ke klíči spotřebitele umožňuje aplikacím vznášet požadavky v rámci aktivit na pozadí, jako je odesílání e-mailových oznámení, bez zásahu uživatele.",
	
	'trustedWarning': "Opravdu chcete tento klíč autorizovat jako důvěryhodného spotřebitele? Důvěryhodní spotřebitelé mohou sdílet autorizaci s jinými důvěryhodnými spotřebiteli a pro přístup k datům nepotřebují schválení uživatele", 
	
	// Authorize OAuth module
	'moduleHeading': "Autorizovat přechodný klíč",
	'moduleSummary': "Máte přístup k \"${0}\" pro autorizaci požadavku na přechodný klíč od \"${1}\" ke zřízení meziserverové komunikace.",
	'moduleDetails': "\"Jméno spotřebitele\" lze upravit v zájmu snadnější identifikace požadujícího serveru. Vyberte \"Důvěryhodný\", má-li být požadující spotřebitel schopen sdílet autorizaci s ostatními důvěryhodnými spotřebiteli.", 
	'moduleFailure': "CRJAZ1504E Došlo k chybě při ukládání aktualizací přechodného klíče."	
})
