/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "Приемники OAuth",
	'pageDescription' : "Эта страница предназначена для управления приемниками OAuth и создания ключей для новых приемников. Приемником OAuth может быть другое приложение, Jazz Team Server или веб-сайт, которому разрешено отправлять запросы этому ${0} от имени пользователя с правами доступа. Приемники подписывают свои запросы, используя ключ приемника и пароль.  Для приложений, зарегистрированных мастером настройки Jazz Team Server, ключи приемника создаются автоматически.  По запросам на дружбу от других серверов Jazz Team Server или приложений создаются ключи приемника и пароли, для которых требуется предоставление прав доступа. Такие запросы показываются в разделе Временный ключ. Раздел Авторизованные ключи содержит список всех ключей приемника с правами доступа. Можно просматривать, изменять и удалять ключи приемника. Доверенные приемники смогут обмениваться своими правами доступа с другими доверенными приемниками. У пользователей не будет запрашиваться подтверждение доступа к данным. Внешние по отношению к организации веб-сайты и приложения должны считаться недоверенными.",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "приложение",
	
	'displayConsumerTableHeading': "Авторизованные ключи",
	'authorizedKeysDescription': "Следующие ключи авторизованы для запросов на подписание для этого ${0}. Для того чтобы изменить свойства ключа приемника, включая имя, шифр, ИД функционального пользователя и уровень надежности, выберите требуемую строку и в столбце \"Действие\" выберите \"Изменить приемник\". Связывание предварительно авторизованного функционального пользователя с ключом приемника позволяет приложениям выполнять запросы в фоновых действиях, таких как отправка уведомлений по электронной почте, без вмешательства пользователя.",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "приложение",
	
	'registerConsumerHeading': "Зарегистрировать приемник",
	'registerConsumerDescription': "Используйте форму для создания авторизованного ключа приемника OAuth",
	'registerButtonText': "Зарегистрировать",
	'consumerKeyLabel': "Ключ клиента", 
	'consumerSecretLabel': "Пароль приемника",
	'retypeConsumerSecretLabel': "Подтверждение пароля приемника",
	'consumerPublicKeyLabel': "Общий ключ приемника",	
	'preAuthorizedUser': "ИД функционального пользователя", 
	'selectUserLinkLabel': "Выберите пользователя...",
	'clearUserLinkLabel': "Очистить пользователя...",
	'consumerTrustedLabel': "Доверенный", 
	'consumerAuthorized': "Авторизованный", 
	'untrustedValue': "Ненадежный", 
	'trustedValue': "Доверенный",
	'authorizedValue': "Авторизованный",
	
	'consumerKeyGeneratedValue': "Ключ генерируется сервером",
	'pickConsumerKeyInstead': "Щелкните здесь, чтобы вместо этого выбрать ключ приемника.",
	'generateConsumerKeyInstead': "Щелкните здесь, чтобы разрешить серверу сгенерировать ключ приемника.",
	
	'usePublicKeyInstead': "Нажмите здесь, чтобы вместо этого использовать общий ключ.",
	'useSecretInstead': "Нажмите здесь, чтобы вместо этого использовать пароль.",
	
	'editConsumerHeading': "Ключ приемника: ${0}",
	'editConsumerDialogTitle': "Изменить свойства ключа приемника",
	'confirmEditCancel': "Вы действительно хотите выйти из редактора? Все изменения будут потеряны. Нажмите Отмена для продолжения работы или OK для выхода.",
	
	'fieldNotBlank': "Имя не должно быть пустым",
	'successMessage': "Приемник успешно зарегистрирован с ключом ${0}", 
	'confirmDelete': "Вы действительно хотите удалить этот ключ приемника?",
	'removeConsumerButton': "Удалить ключ приемника",
	
	'authorizeProvisionalHeading': "Временные ключи",
	'authorizeProvisionalDescription': "Друзья данного ${0} могут запрашивать временные ключи приемника OAuth. Запросы, подписанные с помощью временных ключей, отклоняются. Используйте приведенную ниже форму для авторизации временных ключей, запросы с которыми будут приниматься.",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "приложение",
	
	'noProvisional': "Нет временных ключей.",
	'noConsumer': "Нет ключей приемника.",
	'nameLabel': "Имя приемника",
	'provisionalKeyLabel': "Временный ключ",
	'requestedAsLabel': "Запрошен как",
	'grantAsLabel': "Доверенный", 
	'refresh': "Обновить", 
	'save': "Сохранить",
	'pendingLabel': "Ожидание", 
	'approveLabel': "Утвердить", 
	'rejectLabel': "Отклонить",
	'approved': "Утверждено.",
	'rejected': "Отклонено",
	'approvedLabel': "Временный ключ помечен как утвержденный.", 
	'rejectedLabel': "Временный ключ помечен как отклоненный.",
	
	'actions': "Действия",
	'editConsumer': "Изменить приемник",
	'removeConsumer': "Удалить приемник",
	
	// Help hover text
	'help_consumerSecret': "Шифр или пароль, используемый приемником для установления принадлежности ключа приемника.",
	'help_trusted': " Доверенные приемники смогут обмениваться своими правами доступа с другими доверенными приемниками.",
	'help_functionalId': "Связывание ИД функционального пользователя с этим ключом приемника позволяет приложениям выполнять запросы в фоновых действиях, таких как отправка уведомлений по электронной почте, без вмешательства пользователя.",
	
	'trustedWarning': "Авторизовать этот ключ для приемника как надежный? Надежные приемники смогут обмениваться авторизацией с другими надежными приемниками, и разрешение пользователя для доступа к данным не потребуется", 
	
	// Authorize OAuth module
	'moduleHeading': "Авторизовать временный ключ",
	'moduleSummary': "У вас есть права в \"${0}\" для авторизации запроса на временный ключ, полученного от \"${1}\", для установления связи между серверами.",
	'moduleDetails': "Можно изменить \"Имя приемника\", чтобы точнее описать запрашивающий сервер. Выберите \"Надежный\", если отправивший запрос приемник должен совместно использовать авторизацию с другими надежными приемниками.", 
	'moduleFailure': "CRJAZ1504E При сохранении обновленного временного ключа возникла ошибка."	
})
