#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Zdefiniuj zmienne środowiskowe odpowiadające parametrom
# # skryptu jts_upgrade.sh i ich domyślnym wartościom
# #
# #===========================================================
# #
# # Ten plik jest odczytywany na początku wykonania skryptu
# # jts_upgrade.sh. Ustawia on po jednej zmiennej
# # środowiskowej dla każdego poprawnego parametru
# # o zdefiniowanej wstępnie wartości domyślnej.
# #
# # Użytkownicy mogą modyfikować wartość domyślną w celu
# # uruchomienia skryptu jts_upgrade.sh z jego własnymi
# # wartościami bez konieczności ręcznego wprowadzania
# # parametru i jego odpowiedniej wartości w wierszu komend.
# #
# # OSTRZEŻENIE:
# # Nie wszystkie zmienne są wymagane dla każdej
# # aplikacji.  Należy przeczytać uważnie każdy komentarz przed
# # zmodyfikowaniem wartości.
# #
# #############################################################

# Parametr: -oldJTSHome
# Składnia: -oldJTSHome <ścieżka do katalogu>
# Opis:
#  Pełna ścieżka do katalogu głównego serwera JTS w starszej instalacji.
# Wartość domyślna:
#  <brak>
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#  - Używany tylko w przypadku aktualizacji aplikacji RM i serwera JTS.
#
OLD_JTS_HOME=

# Parametr: -jtsContextRoot
# Składnia: -jtsContextRoot <katalog główny>
# Opis:
# 	Kontekstowy katalog główny produktu JTS
# Wartość domyślna:
# 	jts
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (tzn. bez początkowego ukośnika)
#
JTS_CONTEXT_ROOT=jts

# Parametr: -lpaContextRoot
# Składnia: -lpaContextRoot <katalog główny>
# Opis:
# 	Kontekstowy katalog główny LPA
# Wartość domyślna:
# 	admin
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (tzn. bez początkowego ukośnika)
#
LPA_CONTEXT_ROOT=admin

# Parametr: -oldJTSVersion
# Składnia: -oldJTSVersion <wersja>
# Opis:
# 	Wersja aktualizowanego produktu JTS.  Domyślnie
#   wersja jest określana przez uruchomienie komendy repotools -version dla starego serwera JTS.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - wymagany jest pełny łańcuch wersji,
#    np. 3.0.0 or 3.0.1
#
OLD_JTS_VERSION=

# Parametr: -updateTomcatFiles
# Składnia: -updateTomcatFiles <yes | no>
# Opis:
# 	Określa, czy mają być aktualizowane pliki konfiguracyjne serwera Tomcat.
# Wartość domyślna:
# 	yes
# Ograniczenia:
#  - jedyne poprawne wartości to yes i no
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldTomcatHome
# Składnia: -oldTomcatHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego serwera Tomcat w starszej instalacji.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - ścieżka musi wskazywać istniejący katalog
#
OLD_TOMCAT_HOME=

# Parametr: -newJTSHome
# Składnia: -newJTSHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu konfiguracji serwera JTS nowej instalacji.
# Wartość domyślna:
# 	conf
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#
NEW_JTS_HOME="$START_DIR/conf"

# Parametr: -newTomcatHome
# Składnia: -newTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego serwera Tomcat dla nowej instalacji.
# Wartość domyślna:
# 	<brak>
#
NEW_TOMCAT_HOME=

# Parametr: -noPrompt
# Składnia: -noPrompt
# Opis:
# 	Wyłącza wyświetlanie zapytania przed utworzeniem lub zmodyfikowaniem tabel.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość noPrompt.
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -noVerify
# Składnia: -noVerify
# Opis:
# 	Nie sprawdzaj poprawności plików teamserver.properties.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - jedyne poprawne wartości to wartość pusta lub wartość noVerify
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -overwrite
# Składnia: -overwrite
# Opis:
# 	Określa, czy nadpisywać dowolny istniejący plik.
# Wartość domyślna:
# 	no
# Ograniczenia:
#  - jedyne poprawne wartości to wartość pusta lub wartość overwrite=yes
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -noStepPrompt
# Składnia: -noStepPrompt
# Opis:
# 	Nie wyświetlaj zapytania przed wykonaniem kroku.
# Wartość domyślna:
# 	false
# Ograniczenia:
#  - jedyne poprawne wartości to true lub false
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
