#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2006, 2014. All Rights Reserved.
#
#  Megjegyzés az Egyesült Államok kormányzati felhasználóinak korlátozott jogaira vonatkozóan:
#  A használatot, sokszorosítást vagy közzétételt az IBM vállalattal kötött GSA ADP Schedule
#  Contract szerződés szabályozza.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Adja meg a környezeti változókat, amelyek megfelelnek a
# # rm_upgrade.sh parancsfájl paramétereinek, és azok alapértelmezett értékeit
# #
# #===========================================================
# #
# # Ezt a fájlt a rm_upgrade.sh végrehajtásának kezdetekor
# # olvassa be a rendszer. Egy környezeti változót állít be
# # érvényes, előre meghatározott alapértelmezett értékkel rendelkező paraméterenként.
# #
# # A felhasználók módosíthatják az alapértelmezett értéket a
# # rm_upgrade.sh saját értékekkel való indításához,
# # anélkül, hogy meg kellene adniuk a paramétert és a
# # megfelelő értéküket a parancssorban.
# #
# # FIGYELMEZTETÉS:
# # Nem minden változót szükséges beállítani minden
# # alkalmazáshoz.  Olvasson el figyelmesen minden megjegyzést az
# # érték módosítása előtt.
# #
# #############################################################

# Paraméter: -oldApplicationHome
# Használat: -oldApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás saját könyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /Jazz/IBM/RRC_3.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Paraméter: -applicationContextRoot
# Használat: -applicationContextRoot<gyökér>
# Leírás:
# 	Az alkalmazás kontextusgyökere.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
 APPLICATION_CONTEXT_ROOT=rm

# Paraméter: -oldApplicationVersion
# Használat: -oldApplicationVersion <változat>
# Leírás:
# 	A frissítendő változat.  Alapértelmezés szerint ez a régi alkalmazáson a
#   repotools -version parancs futtatásával határozható meg.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - egy teljes verzió karaktersorozatnak kell lennie
#    például 5.0.0 vagy 5.0.1
#
OLD_APPLICATION_VERSION=

# Paraméter: -updateTomcatFiles
# Használat: -updateTomcatFiles <yes | no>
# Leírás:
# 	Frissítse-e a Tomcat konfigurációs fájlokat?
# Alapértelmezés:
# 	yes
# Megszorítások:
#  - Csak a 'yes' és a 'no' érvényes érték
#
UPDATE_TOMCAT_FILES=yes

# Paraméter: -oldApplicationTomcatHome
# Használat: -oldApplicationTomcatHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás Tomcat gyökérkönyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Kizárólag RM frissítés esetén
#  - Létező könyvtárnak kell lennie
#
OLD_TOMCAT_HOME=

# Paraméter: -oldJTSTomcatHome
# Használat: -oldJTSTomcatHome <könyvtár útvonala>
# Leírás:
# 	A JTS Tomcat gyökérkönyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Kizárólag RM frissítés esetén
#  - Létező könyvtárnak kell lennie
#
OLD_JTS_TOMCAT_HOME=

# Paraméter: -newApplicationHome
# Használat: -newApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás alapkönyvtárának elérési útvonala az új telepítésben.
# Alapértelmezés:
# 	conf
# Megszorítások:
#  - Kizárólag RTC, QM és RM frissítés esetében engedélyezett
#  - Elfogadása esetén ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /Jazz/IBM/RRC_4.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Paraméter: -newJTSHome
# Használat: -newJTSHome <könyvtár útvonala>
# Leírás:
# 	Az új telepítés által használt JTS alapkönyvtárának teljes elérési útvonala.
# Alapértelmezés:
# 	Az új alkalmazás saját könyvtára
# Megszorítások:
#  - a <könyvtár útvonala> egy létező könyvtárnak kell lennie a következő végződéssel: 'server/conf'
#
NEW_JTS_HOME=

# Paraméter: -newJTSContextRoot
# Használat: -newJTSContextRoot <gyökér>
# Leírás:
# 	Az új JTS kiszolgáló kontextusgyökere.
# Alapértelmezés:
# 	jts
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
JTS_CONTEXT_ROOT=jts

# Paraméter: -newApplicationTomcatHome
# Használat: -newApplicationTomcatHome <könyvtár útvonala>
# Leírás:
# 	A Tomcat alkalmazás gyökérkönyvtárának elérési útvonala az új telepítésben.
# Alapértelmezés:
# 	<nincs>
#
NEW_TOMCAT_HOME=

# Paraméter: -newJTSTomcatHome
# Használat: -newJTSTomcatHome <könyvtár útvonala>
# Leírás:
# 	Az új telepítés által használt JTS kiszolgáló JTS Tomcat gyökérkönyvtárának elérési útvonala.
# Alapértelmezés:
# 	<nincs>
#
NEW_JTS_TOMCAT_HOME=

# Paraméter: -noPrompt
# Használat: -noPrompt
# Leírás:
# 	Ne kérdezzen rá semmilyen jóváhagyásra (azaz minden esetben noPrompt használata) bármely repotools parancs végrehajtása közben
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Paraméter: -overwrite
# Használat: -overwrite
# Leírás:
# 	Kényszerített felülírás (azaz minden esetben overwrite=yes használata) bármely repotools parancs végrehajtása közben
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Paraméter: -noVerify
# Használat: -noVerify
# Leírás:
# 	Ne hajtson végre semmilyen ellenőrzést (azaz minden esetben noVerify használata) bármely repotools parancs végrehajtása közben
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Paraméter: -noStepPrompt
# Használat: -noStepPrompt
# Leírás:
# 	Ne kérdezzen rá minden frissítési lépés előtt
# Alapértelmezés:
# 	false
# Megszorítások:
#  - Az egyedül érvényes értékek a következők: 'true' vagy 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false

# Paraméter: -db.jdbc.location
# Használat: -db.jdbc.location <JDBC_URL>
# Leírás:
# 	Az RM adatbázis JDBC helye. (Csak a 4.x - 5.x áttérés esetén szükséges)
#
#		Példák:
#			DB2 		//localhost:50000/RM_DB:user=db2admin;password={password};
#			DB2i 		//hostname;hold statements=true;metadata source=1;user=rmDBuser;password={password};
#			ORACLE		thin:rmDBuser/{password}@//oracleserver.example.com:1521/RM_DB
#			SQLSERVER	//localhost:1433;databaseName=RM_DB;user=rmDBuser;password={password};
#			DERBY		conf/rm/derby/repositoryDB
#
#		MEGJEGYZÉS:
#			*-nix rendszereken sok karakter elé (például: |  &  ;  <  >  (  )  $  `  \  "  '  <szóköz>  <tab>  <újsor>)
#			fordított törtvonalat kell írni. 
#		
#			DB2 		//localhost:50000/RM_DB:user=db2admin\;password={password}\;
#			DB2i 		//hostname;hold\ statements=true\;metadata\ source=1\;user=rmDBuser\;password={password}\;
#			ORACLE		thin:rmDBuser/{password}@//oracleserver.example.com:1521/RM_DB
#			SQLSERVER	//localhost:1433\;databaseName=RM_DB\;user=rmDBuser\;password={password}\;
#			DERBY		conf/rm/derby/repositoryDB	
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Csak az RM 4.x változatról történő frissítése esetén elfogadott
#
DB_JDBC_LOCATION_VALUE=

# Paraméter: -db.jdbc.password
# Használat: -db.jdbc.password <JDBC_PASSWORD>
# Leírás:
# 	A jelszó (sima szöveg vagy titkosított), amely be lesz helyettesítve, ha a JDBC URL címben megjelenik a "{password}" változó.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Akkor kell megadni, ha az RM adatbázis JDBC URL címe tartalmazza a {password} változót
#
DB_JDBC_PASSWORD_VALUE=

# Paraméter: -db.db2i.schema.name
# Használat: -db.db2i.schema.name <SCHEMA_NAME>
# Leírás:
# 	A DB2i adatbázis sémaneve.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A DB2i adatbázistípus használatával kell megadni.
#
DB_DB2I_SCHEMA_NAME_VALUE=

# Paraméter: -db.db2.dsn.dbname
# Használat: -db.db2.dsn.dbname <DSN_DBNAME>
# Leírás:
# 	A DB2Z DSN adatbázis neve.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
# - A DB2z adatbázistípus használatával kell megadni.
#
DB_DB2_DSN_DBNAME_VALUE=

# Paraméter: -db.schemaPrefix
# Használat: -db.schemaPrefix <SCHEMA_PREFIX>
# Leírás: D
# 	Az adatbázis séma előtag.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
# - A DB2z adatbázistípus használatával kell megadni.
#
DB_SCHEMA_PREFIX_VALUE=

# Paraméter: -oldJTSHome
# Használat: -oldJTSHome <könyvtár útvonala>
# Leírás:
# 	A JTS alapkönyvtár teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
# - <könyvtár útvonala> csak egy 'server/conf' végződésű létező könyvtár lehet
# - Csak RM és JTS frissítések esetén érvényes
#
OLD_JTS_HOME=

# Paraméter: -lpaContextRoot
# Használat: -lpaContextRoot <gyökér>
# Leírás:
# 	Az LPA kontextusgyökér
# Alapértelmezés:
# 	admin
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
LPA_CONTEXT_ROOT=admin
 