@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2014. All Rights Reserved.
rem
rem  Megjegyzs az Egyeslt llamokhoz kormnyzati felhasznlira vonatkoz
rem  korltozott jogokhoz: A hasznlatot, sokszorostst vagy kzzttelt az
rem  IBM vllalattal kttt GSA ADP Schedule Contract szerzds szablyozza
rem  *******************************************************************************


REM #############################################################
REM #
REM # Adja meg a krnyezeti vltozkat, amelyek megfelelnek a
REM # rm_upgrade.bat parancsfjl paramtereinek, s azok alaprtelmezett rtkeit
REM #
REM #===========================================================
REM #
REM # Ezt a fjlt a rm_upgrade.bat parancsfjl vgrehajtsnak
REM # kezdetekor olvassa a rendszer. Egy krnyezeti vltozt llt be
REM # rvnyes, elre meghatrozott alaprtelmezett rtkkel rendelkez paramterenknt.
REM #
REM # A felhasznlk mdosthatjk az alaprtelmezett rtket az
REM # rm_upgrade.bat parancsfjl sajt rtkekkel val indtshoz,
REM # anlkl, hogy meg kellene adniuk a paramtert s a
REM # megfelel rtkket a parancssorban.
REM #
REM # FIGYELMEZTETS:
REM # Nem minden vltozt szksges belltani minden
REM # alkalmazshoz.  Olvasson el figyelmesen minden megjegyzst az
REM # rtk mdostsa eltt.
REM #
REM #############################################################

rem Paramter: -oldApplicationHome
rem Hasznlat: -oldApplicationHome <knyvtr tvonala>
rem Lers:
rem 	Az alkalmazs alapknyvtrnak teljes elrsi tvonala a rgi teleptsben.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - ez egy ktelez paramter
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem    pldul: D:\Jazz\IBM\RM_4.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Paramter: -applicationContextRoot
rem Hasznlat: -applicationContextRoot<gykr>
rem Lers:
rem 	Az alkalmazs kontextusgykere.
rem Alaprtelmezett:
rem <nincs>
rem Megszortsok:
rem  - a <gykr> egy rvnyes, egyedli knyvtrnv kell, hogy legyen (azaz ne tartalmazzon kezd perjelet)
rem
set APPLICATION_CONTEXT_ROOT=

rem Paramter: -oldApplicationVersion
rem Hasznlat: -oldApplicationVersion <vltozat>
rem Lers:
rem 	A frisstend RM vltozat.  Alaprtelmezs szerint ez a rgi alkalmazson a
rem     repotools -version parancs futtatsval hatrozhat meg.
rem Alaprtelmezs:
rem 	<nincs>
rem Megszortsok:
rem  - egy teljes verzi karaktersorozat,
rem    pldul 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Paramter: -updateTomcatFiles
rem Hasznlat: -updateTomcatFiles <igen | nem>
rem Lers:
rem 	Frisstse-e a tomcat konfigurcis fjlokat?
rem Alaprtelmezett:
rem 	yes
rem Megszortsok:
rem  - Az egyedl rvnyes rtkek a kvetkezk: 'yes' s 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Paramter: -oldApplicationTomcatHome
rem Hasznlat: -oldApplicationTomcatHome <knyvtr tvonala>
rem Lers:
rem 	Az alkalmazs Tomcat gykrknyvtrnak teljes elrsi tvonala a rgi teleptsben.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - Kizrlag RM frissts esetn engedlyezett
rem  - Egy ltez knyvtrnak kell lennie
rem
set OLD_TOMCAT_HOME=

rem Paramter: -newApplicationHome
rem Hasznlat: -newApplicationHome <knyvtr tvonala>
rem Lers:
rem 	Az alkalmazs alapknyvtrnak elrsi tvonala az j teleptsben.
rem Alaprtelmezett:
rem 	conf
rem Megszortsok:
rem  - Kizrlag RTC, QM s RM frissts szmra engedlyezett
rem  - Elfogadsa esetn ez egy ktelez paramter
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem   pldul: D:\Jazz\IBM\RM_4.x\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Paramter: -newJTSHome
rem Hasznlat: -newJTSHome <knyvtr tvonala>
rem Lers:
rem 	Az j telepts ltal hasznlt JTS alapknyvtrnak teljes elrsi tvonala.
rem Alaprtelmezett:
rem 	Az j alkalmazs alapknyvtra
rem Megszortsok:
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem
set NEW_JTS_HOME=

rem Paramter: -newJTSContextRoot
rem Hasznlat: -newJTSContextRoot <gykr>
rem Lers:
rem 	A JTS kiszolgl kontextusgykere.
rem Alaprtelmezett:
rem 	jts
rem Megszortsok:
rem  - <gykr> egy rvnyes, egyedli knyvtrnvnek kell lennie (azaz ne tartalmazzon kezd perjelet)
rem
set JTS_CONTEXT_ROOT=jts

rem Paramter: -newApplicationTomcatHome
rem Hasznlat: -newApplicationTomcatHome <knyvtr tvonala>
rem Lers:
rem 	A Tomcat alkalmazs gykrknyvtrnak elrsi tvonala az j teleptsben.
rem Alaprtelmezett:
rem 	<nincs>
rem
set NEW_TOMCAT_HOME=

rem Parameter: -newJTSTomcatHome
rem Hasznlat: -newJTSTomcatHome <knyvtr tvonala>
rem Lers:
rem 	Az j telepts ltal hasznlt JTS kiszolgl JTS Tomcat gykrknyvtrnak elrsi tvonala.
rem Alaprtelmezett:
rem 	<nincs>
rem
set NEW_JTS_TOMCAT_HOME=

rem Paramter: -noPrompt
rem Hasznlat: -noPrompt
rem Lers:
rem 	Ne krdezzen r semmilyen jvhagysra (pldul minden esetben noPrompt hasznlata) brmely repotools parancs vgrehajtsa kzben
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - A kizrlag rvnyes rtkek: res vagy 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramter: -overwrite
rem Hasznlat: -overwrite
rem Lers:
rem 	Knyszertett fellrs (azaz minden esetben overwrite=yes hasznlata) brmely repotools parancs vgrehajtsa kzben
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - A kizrlag rvnyes rtkek: res vagy 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paramter: -noVerify
rem Hasznlat: -noVerify
rem Lers:
rem 	Ne hajtson vgre semmilyen ellenrzst (azaz minden esetben noVerify hasznlata) brmely repotools parancs vgrehajtsa kzben
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - A kizrlag rvnyes rtkek: res vagy 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramter: -noStepPrompt
rem Hasznlat: -noStepPrompt
rem Lers:
rem 	Ne krdezzen r minden frisstsi lps eltt
rem Alaprtelmezett:
rem 	false
rem Megszortsok:
rem - Az egyedl rvnyes rtkek a kvetkezk: 'true' vagy 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Paramter: -db.jdbc.location
rem Hasznlat: -db.jdbc.location <JDBC_URL>
rem Lers:
rem 	Az RM adatbzis JDBC helye. (Csak a 4.x - 5.x ttrs esetn szksges)
rem		Pldk:
rem			DB2 		//localhost:50000/RM_DB:user=db2admin;password={password};
rem			DB2i 		//hostname;hold statements=true;metadata source=1;user=rmDBuser;password={password};
rem			ORACLE		thin:rmDBuser/{password}@//oracleserver.example.com:1521/RM_DB
rem			SQLSERVER	//localhost:1433;databaseName=RM_DB;user=rmDBuser;password={password};
rem			DERBY		conf/rm/derby/repositoryDB
rem Alaprtelmezs:
rem 	<nincs>
rem Megszortsok:
rem  - Csak az RM 4.x vltozatrl trtn frisstse esetn elfogadott
rem
rem set DB_JDBC_LOCATION_VALUE=conf/rm/derby/repositoryDB
set DB_JDBC_LOCATION_VALUE=

rem Paramter: -db.jdbc.password
rem Hasznlat: -db.jdbc.password <JDBC_PASSWORD>
rem Lers:
rem 	A jelsz (sima szveg vagy titkostott), amely be lesz helyettestve, ha a JDBC URL cmben megjelenik a "{password}" vltoz.
rem Alaprtelmezs:
rem 	<nincs>
rem Megszortsok:
rem  - Akkor kell megadni, ha az RM adatbzis JDBC URL cme tartalmazza a {password} vltozt
rem
set DB_JDBC_PASSWORD_VALUE=

rem Paramter: -db.db2i.schema.name
rem Hasznlat: -db.db2i.schema.name <SCHEMA_NAME>
rem Lers:
rem 	A DB2i adatbzis smaneve.
rem Alaprtelmezs:
rem 	<nincs>
rem Megszortsok:
rem  - A DB2i adatbzistpus hasznlatval kell megadni.
rem
set DB_DB2I_SCHEMA_NAME_VALUE=

rem Paramter: -db.db2.dsn.dbname
rem Hasznlat: -db.db2.dsn.dbname <DSN_DBNAME>
rem Lers:
rem 	A DB2Z DSN adatbzis neve.
rem Alaprtelmezs:
rem 	<nincs>
rem Megszortsok:
rem  - A DB2z adatbzistpus hasznlatval kell megadni.
rem
set DB_DB2_DSN_DBNAME_VALUE=

rem Paramter: -db.schemaPrefix
rem Hasznlat: -db.schemaPrefix <SCHEMA_PREFIX>
rem Lers: D
rem 	Az adatbzis sma eltag.
rem Alaprtelmezs:
rem 	<nincs>
rem Megszortsok:
rem  - A DB2z adatbzistpus hasznlatval kell megadni.
rem
set DB_SCHEMA_PREFIX_VALUE=
