@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2014. Wszelkie prawa zastrzeone.
rem
rem  Uwaga: Uytkownikw z instytucji rzdowych USA
rem  obowizuj warunki umowy GSA ADP Schedule
rem  Contract z IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Zdefiniuj zmienne rodowiskowe odpowiadajce parametrom
REM # skryptu rm_upgrade.bat i ich domylnym wartociom.
REM #
REM #===========================================================
REM #
REM # Ten plik jest odczytywany przed wykonaniem skryptu
REM # rm_upgrade.bat. Ustawia on po jednej zmiennej
REM # rodowiskowej dla kadego poprawnego parametru
REM # o zdefiniowanej wstpnie wartoci domylnej.
REM #
REM # Uytkownicy mog modyfikowa wartoci domylne w celu
REM # uruchomienia skryptu rm_upgrade.bat z wasnymi
REM # wartociami, bez koniecznoci wprowadzania parametrw
REM # i ich wartoci rcznie w wierszu komend.
REM #
REM # Ostrzeenie:
REM # Nie wszystkie zmienne s wymagane dla kadej
REM # aplikacji.  Naley przeczyta uwanie kady komentarz przed
REM # zmodyfikowaniem wartoci.
REM #
REM #############################################################

rem Parametr: -oldApplicationHome
rem Skadnia: -oldApplicationHome <cieka do katalogu>
rem Opis:
rem  Pena cieka do katalogu gwnego aplikacji w starszej instalacji.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Ten parametr jest obowizkowy.
rem  - Zmienna <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf,
rem    np. D:\Jazz\IBM\RM_4.x\jazz\server\conf.
rem
set OLD_APPLICATION_HOME=

rem Parametr: -applicationContextRoot
rem Skadnia: -applicationContextRoot <katalog gwny>
rem Opis:
rem 	Kontekstowy katalog gwny aplikacji.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  \u2013 <katalog gwny> musi by poprawn nazw pojedynczego katalogu (bez pocztkowego ukonika)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parametr: -oldApplicationVersion
rem Skadnia: -oldApplicationVersion <wersja>
rem Opis:
rem 	Wersja aplikacji RM, ktra jest aktualizowana. Domylnie jest ona
rem     okrelana poprzez uruchomienie komendy repotools -version dla starszej aplikacji.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - wymagany jest peny acuch wersji
rem    np. 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Parametr: -updateTomcatFiles
rem Skadnia: -updateTomcatFiles <yes | no>
rem Opis:
rem 	decyduje o tym, czy maj by aktualizowane pliki konfiguracyjne Tomcat.
rem Warto domylna:
rem 	yes
rem Ograniczenia:
rem  - jedyne poprawne wartoci to yes i no.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametr: -oldApplicationTomcatHome
rem Skadnia: -oldApplicationTomcatHome <cieka do katalogu>
rem Opis:
rem 	Pena cieka do katalogu gwnego Tomcat aplikacji w starszej instalacji.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Akceptowany jedynie w przypadku aktualizacji aplikacji RM.
rem  - cieka musi wskazywa istniejcy katalog.
rem
set OLD_TOMCAT_HOME=

rem Parametr: -newApplicationHome
rem Skadnia: -newApplicationHome <cieka do katalogu>
rem Opis:
rem 	cieka do katalogu gwnego aplikacji w nowej instalacji.
rem Warto domylna:
rem 	conf
rem Ograniczenia:
rem  - akceptowany tylko dla aktualizacji aplikacji RTC, QM i RM;
rem  - po zaakceptowaniu jest to parametr obowizkowy;
rem  - <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf,
rem    na przykad D:\Jazz\IBM\RM_4.x\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parametr: -newJTSHome
rem Skadnia: -newJTSHome <cieka do katalogu>
rem Opis:
rem 	Pena cieka do katalogu gwnego serwera JTS, ktry bdzie uywany przez now instalacj.
rem Warto domylna:
rem 	nowy katalog gwny aplikacji
rem Ograniczenia:
rem  - <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf.
rem
set NEW_JTS_HOME=

rem Parametr: -newJTSContextRoot
rem Skadnia: -newJTSContextRoot <katalog gwny>
rem Opis:
rem  Kontekstowy katalog gwny serwera JTS.
rem Warto domylna:
rem 	jts
rem Ograniczenia:
rem  - <katalog gwny> musi by poprawn nazw katalogu (bez ukonika itp.).
rem
set JTS_CONTEXT_ROOT=jts

rem Parametr: -newApplicationTomcatHome
rem Skadnia: -newApplicationTomcatHome <cieka do katalogu>
rem Opis:
rem 	cieka do katalogu gwnego serwera Tomcat aplikacji w nowej instalacji.
rem Warto domylna:
rem 	<brak>
rem
set NEW_TOMCAT_HOME=

rem Parametr: -newJTSTomcatHome
rem Skadnia: -newJTSTomcatHome <cieka do katalogu>
rem Opis:
rem  cieka do katalogu gwnego serwera Tomcat dla serwera JTS, ktry bdzie uywany przez now instalacj.
rem Warto domylna:
rem 	<brak>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parametr: -noPrompt
rem Skadnia: -noPrompt
rem Opis:
rem 	Nie wywietlaj adnych potwierdze (zawsze uywaj wartoci noPrompt) podczas wykonywania komend repotools.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto noPrompt.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametr: -overwrite
rem Skadnia: -overwrite
rem Opis:
rem 	Wymuszaj nadpisywanie (zawsze uywaj wartoci overwrite=yes) podczas wykonywania komend repotools.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto overwrite=yes.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametr: -noVerify
rem Skadnia: -noVerify
rem Opis:
rem 	Nie przeprowadzaj weryfikacji (zawsze uywaj wartoci noVerify) podczas wykonywania komend repotools.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto noVerify.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametr: -noStepPrompt
rem Skadnia: -noStepPrompt
rem Opis:
rem 	nie wywietlaj zachty przed kadym krokiem aktualizacji.
rem Warto domylna:
rem 	false
rem Ograniczenia:
rem  - jedynymi poprawnymi wartociami s true i false.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Parametr: -db.jdbc.location
rem Skadnia: -db.jdbc.location <ADRES_URL_JDBC>
rem Opis:
rem  Pooenie interfejsu JDBC bazy danych aplikacji RM. (Potrzebne tylko w przypadku przenoszenia z wersji 4.x do wersji 5.x).
rem		Przykady:
rem			DB2 		//localhost:50000/RM_DB:user=db2admin;password={password};
rem			DB2i 		//hostname;hold statements=true;metadata source=1;user=rmDBuser;password={password};
rem			ORACLE		thin:rmDBuser/{password}@//oracleserver.example.com:1521/RM_DB
rem			SQLSERVER	//localhost:1433;databaseName=RM_DB;user=rmDBuser;password={password};
rem			DERBY		conf/rm/derby/repositoryDB
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Akceptowany tylko w przypadku aktualizacji aplikacji RM z wersji 4.x
rem
rem set DB_JDBC_LOCATION_VALUE=conf/rm/derby/repositoryDB
set DB_JDBC_LOCATION_VALUE=

rem Parametr: -db.jdbc.password
rem Skadnia: -db.jdbc.password <HASO_JDBC>
rem Opis:
rem 	Haso (jawnym tekstem lub zaszyfrowane), ktre zostanie podstawione za zmienn {password} w adresie URL JDBC.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  \u2013 Musi zosta okrelony, jeli adres URL JDBC bazy danych aplikacji RM zawiera zmienn {password}
rem
set DB_JDBC_PASSWORD_VALUE=

rem Parametr: -db.db2i.schema.name
rem Skadnia: -db.db2i.schema.name <NAZWA_SCHEMATU>
rem Opis:
rem 	Nazwa schematu bazy danych DB2i.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  \u2013 Musi zosta okrelony, gdy uywany jest typ bazy danych DB2i.
rem
set DB_DB2I_SCHEMA_NAME_VALUE=

rem Parametr: -db.db2.dsn.dbname
rem Skadnia: -db.db2.dsn.dbname <NAZWA_BAZY_DANYCH_DSN>
rem Opis:
rem 	Nazwa bazy danych rda danych DSN DB2Z.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  \u2013 Musi zosta okrelony, gdy uywany jest typ bazy danych DB2z.
rem
set DB_DB2_DSN_DBNAME_VALUE=

rem Parametr: -db.schemaPrefix
rem Skadnia: -db.schemaPrefix <PRZEDROSTEK_SCHEMATU>
rem Opis:
rem 	Przedrostek schematu bazy danych.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  \u2013 Musi zosta okrelony, gdy uywany jest typ bazy danych DB2z.
rem
set DB_SCHEMA_PREFIX_VALUE=
